gslmin_lib = static_library('gslmin',
	[
		'fsolver.c',
		'golden.c',
		'brent.c',
		'convergence.c',
		'bracketing.c',
		'quad_golden.c'
	],
	include_directories : '..'
)
gslmin_dep = declare_dependency(link_with : gslmin_lib)


gsl_tests += [ [ 'GSL Minization Test', files(
		'test.c',
		'test_funcs.c',
		'test.h'
	) ] ]
